ServerEvents.recipes(event => {
    event.shaped(
  Item.of('kubejs:dye_purple_fonce', 1),
  [
    'A  ',
    'A  ', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
 event.shaped(
  Item.of('kubejs:dye_bizantium', 1),
  [
    'AA ',
    'A  ', 
    'A  '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_casse', 1),
  [
    'AAA',
    'A  ', 
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_celeste', 1),
  [
    'AAA',
    '  A', 
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_charrette', 1),
  [
    ' AA',
    'AA  ', 
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_claire', 1),
  [
    '  A',
    'AAA', 
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_cobalt', 1),
  [
    ' AA',
    ' AA', 
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_fonce', 1),
  [
    '  A',
    ' AA', 
    '  A'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_bleu_sombre', 1),
  [
    '  A',
    'AA ', 
    '  A'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_celadon', 1),
  [
    '   ',
    'AA ', 
    ' AA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_jaune_casse', 1),
  [
    '   ',
    ' AA', 
    ' AA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_jaune_sombre', 1),
  [
    '   ',
    ' AA', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_magenta', 1),
  [
    '   ',
    'AAA', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_marron_claire', 1),
  [
    '   ',
    'AA ', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_mauve', 1),
  [
    '   ',
    ' AA', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_orange_claire', 1),
  [
    '  A',
    ' AA', 
    ' AA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_orange_fonce', 1),
  [
    ' AA',
    ' AA', 
    '  A'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_prune', 1),
  [
    'AAA',
    ' AA', 
    '   '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_rose_casse', 1),
  [
    'AA ',
    'AAA', 
    '   '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_rose_fluo', 1),
  [
    ' AA',
    'AAA', 
    '   '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_rouge_fonce', 1),
  [
    'AAA',
    'AAA', 
    '   '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_rouge_sombre', 1),
  [
    'AAA',
    'AA ', 
    '  A'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_senoise', 1),
  [
    'AAA',
    'AA ', 
    ' A '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_turquoise', 1),
  [
    'AAA',
    'AA ', 
    'A  '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_turquoise_fluo', 1),
  [
    '   ',
    'AA ', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_casse', 1),
  [
    '   ',
    ' AA', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_claire', 1),
  [
    ' AA',
    'AAA', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_fluo', 1),
  [
    ' A ',
    'AAA', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_fonce', 1),
  [
    'A  ',
    'AAA', 
    'AAA'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_pistache', 1),
  [
    'A A',
    'AAA', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_violet_casse', 1),
  [
    ' AA',
    'AAA', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_violine', 1),
  [
    ' AA',
    'A A', 
    'AA '
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
event.shaped(
  Item.of('kubejs:dye_vert_sombre', 1),
  [
    ' AA',
    'A A', 
    'A A'
  ],
  {
    A: 'mysticalagriculture:dye_essence'
  }
)
});

